Subject: [Sip] comments on refer-04

From: [email-masked]
Date: Fri, 31 May 2002 17:16:26 +0300

Section 3.
"Refer-To is a request-header as defined by [1].  It may only appear
   in a REFER request"

Should that be a "MAY" or should it actually say "It only appears in a REFER request"?

Section 6.4
"Registrars and Redirect Servers SHOULD return a 603 to a REFER
   request, unless they are also playing some other SIP role."

I would think sending a 501 is more appropriate. This follows the default behaviour of UASs responding to unknown methods. 603 requires the registrar/redirect server to recognise the REFER.

How about "Registrars and Redirect servers do not require modifications to support the Refer method. A 501 response is returned by default if the UAS is RFC3216 compliant. If they are modified to support REFER, Registrars and Redirect Servers SHOULD return a 603 to a REFER request , unless they are also playing some other SIP role."

Section 7.
All Examples don't show the cookie in the branch-id of Via-header.

Regards,
Hisham

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: 31 May 2002 10:45:34 -0500

Thanks for the comments!

> Should that be a "MAY" or should it actually say "It only appears in a REFER request"?

the second

> How about "Registrars and Redirect servers do not require modifications to support the Refer method. A 501 response is returned by default if the UAS is RFC3216 compliant. If they are modified to s…

I'll add a sentence capturing the 501 default behavior.

This 603 requirement, however, is old text and I don't think folks
have looked at it recently. I propose that it is wrong. A redirect
server is method agnostic and should treat REFER the way it treats
any other request (redirecting it if policy allows it). A registrar 
that knows what REFER is needs to reject the request but 603 is 
not the right code (603 implies that the REFER will fail 
_everywhere_). I believe 405 is the right code for this case.
I will make these changes unless I hear objections.

> All Examples don't show the cookie in the branch-id of Via-header.

Will fix